"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
const escapeHTML = require('escape-html');
class PathInfo {
    constructor(name, title) {
        this.unescapedURIName = name;
        this.escapedURIName = encodeURIComponent(name);
        this.unescapedURIName = title;
        this.escapedTitle = escapeHTML(title);
        this.updateParentURL(null);
    }
    updateParentURL(parentURL) {
        if (parentURL) {
            this.fullURL = nodepath.join(parentURL, this.escapedURIName);
        }
        else {
            this.fullURL = '/' + this.escapedURIName;
        }
    }
}
exports.default = PathInfo;
//# sourceMappingURL=pathInfo.js.map