"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const saturn = require("../../lib/main");
var fx54_node_1 = require("fx54-node");
exports.validator = fx54_node_1.default;
const tmp = require("tmp");
function resolve(name) {
    return `dist/tests/saturn/dist/${name}`;
}
exports.resolve = resolve;
class MyGenerator extends saturn.ContentGenerator {
    generatePathBarHtml(items) {
        let html = '';
        for (const item of items) {
            html += this.makeATag(item.escapedTitle, item.fullURL);
        }
        return html;
    }
    generateContentHtml(items) {
        let html = '<div class="k-content"><ul>';
        for (const item of items) {
            const itemHtml = this.makeLiTag(this.makeATag(item.escapedTitle, item.fullURL));
            html += itemHtml;
        }
        html += '</ul></div>';
        return html;
    }
    makeLiTag(rawContent) {
        return `<li>${rawContent}</li>`;
    }
    makeATag(rawContent, rawHref) {
        return `<a href="${rawHref}">${rawContent}</a>`;
    }
}
function startAsync(name) {
    return __awaiter(this, void 0, void 0, function* () {
        const src = `dist/tests/data/${name}`;
        const dest = resolve(name);
        const config = new saturn.Config(src, dest, tmp.dirSync().name);
        yield saturn.startAsync(config, new MyGenerator());
    });
}
exports.startAsync = startAsync;
//# sourceMappingURL=setup.js.map