"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base = require("./helper/setup");
beforeAll(() => __awaiter(this, void 0, void 0, function* () {
    yield base.startAsync('root_title');
}));
test('main', () => __awaiter(this, void 0, void 0, function* () {
    const expected = { '__dir.content.g.html': '<div class="k-content"><ul><li><a href="/a">a</a></li></ul></div>',
        '__dir.path.g.html': '<a href="/.">&lt;TITLE&gt;</a>',
        '__dir.t.g.html': '&lt;TITLE&gt;',
        '__dir.t.g.txt': '<TITLE>',
        a: { '__dir.content.g.html': '<div class="k-content"><ul><li><a href="/a">title</a></li></ul></div>',
            '__dir.path.g.html': '<a href="/.">&lt;TITLE&gt;</a><a href="/a">a</a>',
            '__dir.t.g.html': 'a',
            '__dir.t.g.txt': 'a',
            '__dir.t_seo.g.html': 'a',
            '__dir.t_seo.g.txt': 'a',
            'a.g.html': '<h1>title</h1>\n',
            'a.t.g.html': 'title',
            'a.t.g.txt': 'title',
            'a.t_seo.g.html': 'title',
            'a.t_seo.g.txt': 'title' } };
    yield expect(base.validator.validateDirectoryAsync(base.resolve('root_title'), expected)).resolves.toBeUndefined();
}));
//# sourceMappingURL=root_title.test.js.map