"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base = require("./helper/setup");
beforeAll(() => __awaiter(this, void 0, void 0, function* () {
    yield base.startAsync('root_title_flat');
}));
test('main', () => __awaiter(this, void 0, void 0, function* () {
    const expected = { '__dir.content.g.html': '<div class="k-content"><ul><li><a href="/a">&lt;a&gt;</a></li><li><a href="/b">&lt;b&gt;</a></li></ul></div>',
        '__dir.path.g.html': '<a href="/.">&lt;TITLE&gt;</a>',
        '__dir.t.g.html': '&lt;TITLE&gt;',
        '__dir.t.g.txt': '<TITLE>',
        'a.g.html': '<h1>&lt;a&gt;</h1>\n',
        'a.t.g.html': '&lt;a&gt;',
        'a.t.g.txt': '<a>',
        'a.t_seo.g.html': '&lt;a&gt;',
        'a.t_seo.g.txt': '<a>',
        'b.g.html': '<h1>&lt;b&gt;</h1>\n',
        'b.t.g.html': '&lt;b&gt;',
        'b.t.g.txt': '<b>',
        'b.t_seo.g.html': '&lt;b&gt;',
        'b.t_seo.g.txt': '<b>' };
    yield expect(base.validator.validateDirectoryAsync(base.resolve('root_title_flat'), expected)).resolves.toBeUndefined();
}));
//# sourceMappingURL=root_title_flat.test.js.map